#include <vga.h>

extern int color_index;

int bpp8_fillbox_1024(int x,int y,int w,int h)
{
  unsigned char * gp = vga_getgraphmem();
  unsigned char * p  = gp;
  int addr = y * 1024  + x;
  int page = addr >> 16;
  
  vga_setpage(page);
  addr &= 0xffff;
  p   += addr;
  
  for (;h>0;h--) {
    if (addr>0xffff) {
      page++;
      vga_setpage(page);
      addr &= 0xffff;
      p = gp + addr;
    }
    memset(p,color_index,w);
    p += 1024;
    addr += 1024;
  }

  return 1;
}
